aboutsummaryrefslogtreecommitdiffstats
path: root/tools/git-export-release.sh
diff options
context:
space:
mode:
authorGerald Combs <gerald@wireshark.org>2018-03-20 23:15:33 +0000
committerAnders Broman <a.broman58@gmail.com>2018-03-26 14:00:35 +0000
commit1cd92c496102a7cd0d396ad94da767287a1c990c (patch)
tree8acc1fbbc77432e60b155edd1f9115420a18cc98 /tools/git-export-release.sh
parenta0fd52dcae8d365b68dfdf2d7f99ddf79d6e49bc (diff)
CMake: Add an rpm-package target.
Copy the current wireshark.spec.in and update it for use with CMake. Remove the Qt4, GTK+2, and GTK+3 options. Add Ninja and mmdbresolve options. The rpm-package target builds a tarball using git-export-release.sh and therefore must be run from a git checkout. The RPM _prefix macro is set to CMAKE_INSTALL_PREFIX, so you'll probably want to run cmake -DCMAKE_INSTALL_PREFIX=/usr ... Change-Id: Ib014494d8858a0059126404cd91528ded5d8a9f6 Reviewed-on: https://code.wireshark.org/review/26579 Reviewed-by: Gerald Combs <gerald@wireshark.org> Petri-Dish: Gerald Combs <gerald@wireshark.org> Tested-by: Petri Dish Buildbot Reviewed-by: Jaap Keuter <jaap.keuter@xs4all.nl> Reviewed-by: Anders Broman <a.broman58@gmail.com>
Diffstat (limited to 'tools/git-export-release.sh')
-rwxr-xr-xtools/git-export-release.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/tools/git-export-release.sh b/tools/git-export-release.sh
index 0e851ca5e7..577e5ea2b0 100755
--- a/tools/git-export-release.sh
+++ b/tools/git-export-release.sh
@@ -10,6 +10,8 @@
#
# SPDX-License-Identifier: GPL-2.0-or-later
+set -e
+
# First paremeter, if set, is a git commit, like v1.12.0-rc1 or 54819e5699f
# By default HEAD is used.
# Note, that filtering takes place base on the _exported_ version's
@@ -17,7 +19,7 @@
# the whole tree.
COMMIT="HEAD"
if test -n "$1"; then
- COMMIT="$1"
+ COMMIT="$1"
fi
if [ ! -e "${GIT_DIR:-.git}" ] ; then